Subject: Writable MIB Module IESG Statement

From: The IESG <[email-masked]>
Date: Sun, 02 Mar 2014 10:01:43 -0800

The IESG is aware of discussions in the OPS area and in a number of 
working groups about the current practice for standards-based approaches 
to configuration. The OPS area has shown strong support for the use of 
NETCONF/YANG while many working groups continue to specify MIB modules 
for this purpose. The IESG wishes to clarify this situation with this 
statement:

- IETF working groups are therefore encouraged to use the NETCONF/YANG 
  standards for configuration, especially in new charters. 

- SNMP MIB modules creating and modifying configuration state should 
  only be produced by working groups in cases of clear utility and 
  consensus to use SNMP write operations for configuration,  and in 
  consultation with the OPS ADs/MIB doctors.